--- p/gpc.c.orig	Thu Nov 14 00:38:03 2002
+++ p/gpc.c	Sat Nov 16 11:39:28 2002
@@ -204,6 +204,33 @@
 extern int getrusage PARAMS ((int, struct rusage *));
 #endif
 
+#ifdef EGCS97
+
+/* By default there is no special suffix for target executables.  */
+/* FIXME: when autoconf is fixed, remove the host check - dj */
+#if defined(TARGET_EXECUTABLE_SUFFIX) && defined(HOST_EXECUTABLE_SUFFIX)
+#define HAVE_TARGET_EXECUTABLE_SUFFIX
+#else
+#undef TARGET_EXECUTABLE_SUFFIX
+#define TARGET_EXECUTABLE_SUFFIX ""
+#endif
+
+/* By default there is no special suffix for host executables.  */
+#ifdef HOST_EXECUTABLE_SUFFIX
+#define HAVE_HOST_EXECUTABLE_SUFFIX
+#else
+#define HOST_EXECUTABLE_SUFFIX ""
+#endif
+
+/* By default, the suffix for target object files is ".o".  */
+#ifdef TARGET_OBJECT_SUFFIX
+#define HAVE_TARGET_OBJECT_SUFFIX
+#else
+#define TARGET_OBJECT_SUFFIX ".o"
+#endif
+
+#else
+
 /* By default there is no special suffix for target executables.  */
 #if defined(EXECUTABLE_SUFFIX)
 #define HAVE_TARGET_EXECUTABLE_SUFFIX
@@ -271,6 +298,8 @@
 #define IS_ABSOLUTE_PATHNAME(STR) \
   (IS_DIR_SEPARATOR ((STR)[0]) || (STR)[0] == '$' \
    || (IS_DIR_SEPARATOR ('\\') && (STR)[0] != '\0' && (STR)[1] == ':' && IS_DIR_SEPARATOR ((STR)[2])))
+#endif
+
 #endif
 
 #ifndef VMS
